Bug 951726 - libprocps.pc should be packages with procps-ng-devel
Summary: libprocps.pc should be packages with procps-ng-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: procps-ng
Version: 18
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-12 21:44 UTC by Dmitry Torokhov
Modified: 2016-02-01 01:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-26 01:01:47 UTC


Attachments (Terms of Use)

Description Dmitry Torokhov 2013-04-12 21:44:58 UTC
Description of problem:

The pkg-config file for procps-ng) is packaged with the main RPM causing 
'configure' scripts detect presence of procps and causing subsequent 'make' to fail/

Version-Release number of selected component (if applicable):
[dtor@dtor-ws open-vm-tools]$ rpm -qf /usr/lib64/pkgconfig/libprocps.pc
procps-ng-3.3.3-3.20120807git.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1.rpm -qf /usr/lib64/pkgconfig/libprocps.pc
  
Actual results:
procps-ng-3.3.3-3.20120807git.fc18.x86_64

Expected results:
procps-ng-devel-3.3.3-3.20120807git.fc18.x86_64

Comment 1 Jaromír Cápík 2013-04-15 17:11:48 UTC
Hello Dmitry.

You're absolutely right about that. I'm going to fix it in few minutes.
Thanks for the report.

Regards,
Jaromir.

Comment 2 Fedora Update System 2013-04-15 18:19:00 UTC
procps-ng-3.3.7-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/procps-ng-3.3.7-2.fc19

Comment 3 Fedora Update System 2013-04-15 18:19:10 UTC
procps-ng-3.3.3-4.20120807git.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/procps-ng-3.3.3-4.20120807git.fc18

Comment 4 Fedora Update System 2013-04-16 16:13:21 UTC
Package procps-ng-3.3.7-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing procps-ng-3.3.7-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5804/procps-ng-3.3.7-2.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-17 12:27:41 UTC
procps-ng-3.3.7-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/procps-ng-3.3.7-3.fc19

Comment 6 Fedora Update System 2013-04-23 03:46:00 UTC
procps-ng-3.3.7-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-04-26 01:01:49 UTC
procps-ng-3.3.3-4.20120807git.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.